1 |
diff -ruN e-smith-mysql-2.4.0.old/createlinks e-smith-mysql-2.4.0/createlinks |
2 |
--- e-smith-mysql-2.4.0.old/createlinks 2008-10-06 07:29:16.000000000 -0700 |
3 |
+++ e-smith-mysql-2.4.0/createlinks 2014-03-17 08:14:32.000000000 -0700 |
4 |
@@ -49,6 +49,6 @@ |
5 |
|
6 |
safe_symlink("restart", "root/etc/e-smith/events/$event/services2adjust/mysqld"); |
7 |
|
8 |
-templates2events("/etc/e-smith/sql/init/10fix_privilege_tables", |
9 |
+templates2events("/etc/e-smith/sql/init/10mysql_upgrade", |
10 |
"bootstrap-console-save"); |
11 |
|
12 |
diff -ruN e-smith-mysql-2.4.0.old/root/etc/e-smith/templates/etc/e-smith/sql/init/00_restore_dumped_dbs e-smith-mysql-2.4.0/root/etc/e-smith/templates/etc/e-smith/sql/init/00_restore_dumped_dbs |
13 |
--- e-smith-mysql-2.4.0.old/root/etc/e-smith/templates/etc/e-smith/sql/init/00_restore_dumped_dbs 2008-10-06 07:29:16.000000000 -0700 |
14 |
+++ e-smith-mysql-2.4.0/root/etc/e-smith/templates/etc/e-smith/sql/init/00_restore_dumped_dbs 2014-03-17 08:17:25.000000000 -0700 |
15 |
@@ -2,6 +2,7 @@ |
16 |
|
17 |
( cat /home/e-smith/db/mysql/mysql.dump ; |
18 |
cat /service/mysqld/set.password ) | mysql || exit 1 |
19 |
+/usr/bin/mysql_upgrade |
20 |
P=$(cat /var/run/mysqld/mysqld.pid) |
21 |
/bin/rm /var/run/mysqld/mysqld.pid |
22 |
kill -TERM $P |
23 |
diff -ruN e-smith-mysql-2.4.0.old/root/etc/e-smith/templates/etc/e-smith/sql/init/10fix_privilege_tables e-smith-mysql-2.4.0/root/etc/e-smith/templates/etc/e-smith/sql/init/10fix_privilege_tables |
24 |
--- e-smith-mysql-2.4.0.old/root/etc/e-smith/templates/etc/e-smith/sql/init/10fix_privilege_tables 2014-03-17 08:15:11.000000000 -0700 |
25 |
+++ e-smith-mysql-2.4.0/root/etc/e-smith/templates/etc/e-smith/sql/init/10fix_privilege_tables 1969-12-31 16:00:00.000000000 -0800 |
26 |
@@ -1,17 +0,0 @@ |
27 |
-#!/bin/sh |
28 |
-/usr/bin/mysql_upgrade |
29 |
- |
30 |
-P=$(cat /var/run/mysqld/mysqld.pid) |
31 |
-/bin/rm /var/run/mysqld/mysqld.pid |
32 |
-kill -TERM $P |
33 |
-for i in $(seq 1 20); |
34 |
-do |
35 |
- if [ -f /var/run/mysqld/mysqld.pid ] |
36 |
- then |
37 |
- exit 0 |
38 |
- fi |
39 |
- echo waiting for mysqld to restart |
40 |
- sleep 1 |
41 |
-done |
42 |
-echo mysqld failed to restart |
43 |
-exit 1 |
44 |
diff -ruN e-smith-mysql-2.4.0.old/root/etc/e-smith/templates/etc/e-smith/sql/init/10mysql_upgrade e-smith-mysql-2.4.0/root/etc/e-smith/templates/etc/e-smith/sql/init/10mysql_upgrade |
45 |
--- e-smith-mysql-2.4.0.old/root/etc/e-smith/templates/etc/e-smith/sql/init/10mysql_upgrade 1969-12-31 16:00:00.000000000 -0800 |
46 |
+++ e-smith-mysql-2.4.0/root/etc/e-smith/templates/etc/e-smith/sql/init/10mysql_upgrade 2014-03-17 08:15:11.000000000 -0700 |
47 |
@@ -0,0 +1,17 @@ |
48 |
+#!/bin/sh |
49 |
+/usr/bin/mysql_upgrade |
50 |
+ |
51 |
+P=$(cat /var/run/mysqld/mysqld.pid) |
52 |
+/bin/rm /var/run/mysqld/mysqld.pid |
53 |
+kill -TERM $P |
54 |
+for i in $(seq 1 20); |
55 |
+do |
56 |
+ if [ -f /var/run/mysqld/mysqld.pid ] |
57 |
+ then |
58 |
+ exit 0 |
59 |
+ fi |
60 |
+ echo waiting for mysqld to restart |
61 |
+ sleep 1 |
62 |
+done |
63 |
+echo mysqld failed to restart |
64 |
+exit 1 |
65 |
diff -ruN e-smith-mysql-2.4.0.old/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10fix_privilege_tables e-smith-mysql-2.4.0/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10fix_privilege_tables |
66 |
--- e-smith-mysql-2.4.0.old/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10fix_privilege_tables 2006-03-15 22:44:28.000000000 -0800 |
67 |
+++ e-smith-mysql-2.4.0/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10fix_privilege_tables 1969-12-31 16:00:00.000000000 -0800 |
68 |
@@ -1 +0,0 @@ |
69 |
-PERMS=0540 |
70 |
diff -ruN e-smith-mysql-2.4.0.old/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10mysql_upgrade e-smith-mysql-2.4.0/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10mysql_upgrade |
71 |
--- e-smith-mysql-2.4.0.old/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10mysql_upgrade 1969-12-31 16:00:00.000000000 -0800 |
72 |
+++ e-smith-mysql-2.4.0/root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/10mysql_upgrade 2006-03-15 22:44:28.000000000 -0800 |
73 |
@@ -0,0 +1 @@ |
74 |
+PERMS=0540 |